<template>
  <div>
    <h1>Избранное</h1>

    <div class="row mt-5 w-75 mx-auto">
      <div
        v-for="(photo, index) in likedPhotos"
        :key="photo.id"
        @click="handleImageClick(photo)"
        class="col-lg-4 col-md-12 mb-4 mb-lg-0">
        <img
          :src="photo.urls.regular"
          class="w-100 shadow-1-strong rounded mb-4"
          :alt="photo.description" />
      </div>
    </div>
  </div>
</template>

<script setup lang="ts">
import { Photo } from "@/interfaces/PhotoDto";
import { usePhotosStore } from "@/stores/usePhotosStore";
import { useRouter } from "vue-router";

const { likedPhotos, setCurrentPhoto } = usePhotosStore();
const router = useRouter();

const handleImageClick = (photo: Photo) => {
  setCurrentPhoto(photo);
  router.push(`/${photo.id}`);
};
</script>

<style scoped>
h1 {
  text-align: center;
}
.col-lg-4 img {
  height: 300px;
}
</style>
